%global unique_name eu.tiliado.WebRuntime

Name:           nuvola-app-youtube
Version:        2.0
Release:        2%{?dist}
Summary:        YouTube for Nuvola Player 3 
License:        BSD and CC-BY
URL:            https://github.com/tiliado/nuvola-app-youtube
Source0:        https://github.com/tiliado/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.10.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch


%description
Integration of YouTube into your linux desktop via Nuvola Player.

%prep
%setup -q


%build
./configure --prefix=%{_prefix}
%make_build


%install
%make_install DESTDIR=%{buildroot}

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%files
%doc CHANGELOG.md CONTRIBUTING.md README.md
%license LICENSE-BSD.txt LICENSE-CC-BY.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{unique_name}AppYoutube.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppYoutube.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/youtube/
%{_datadir}/dbus-1/services/%{unique_name}AppYoutube.service


%changelog
* Wed Mar 21 2018 Martin Gansser <martinkg@fedoraproject.org> - 2.0-2
- nuvolasdk >= 4.10.0 is required

* Wed Mar 21 2018 Martin Gansser <martinkg@fedoraproject.org> - 2.0-1
- Update to 2.0

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3-2
- Remove obsolete scriptlets

* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.3-1
- initial build
